MockGrailsPluginManager (Grails 6.0.0)

Package: org.grails.plugins

## [Java] Class MockGrailsPluginManager

- org.grails.plugins.MockGrailsPluginManager

-     public class MockGrailsPluginManager
      extends AbstractGrailsPluginManager

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `checkForChangesExpected` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsPluginManager` | `BLANK, CONFIG_BINDING_APP_NAME, CONFIG_BINDING_APP_VERSION, CONFIG_BINDING_GRAILS_HOME, CONFIG_BINDING_USER_HOME, CONFIG_FILE, LOG, application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins, shutdown`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MockGrailsPluginManager (GrailsApplication application)`
    `MockGrailsPluginManager ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `checkForChanges()`
    `` | `public void` | `expectCheckForChanges()`
    `` | `public GrailsPlugin` | `getGrailsPlugin(java.lang.String name)`
    `` | `public GrailsPlugin` | `getGrailsPlugin(java.lang.String name, BigDecimal version)`
    `` | `public java.util.Collection<?>` | `getPluginObservers(GrailsPlugin plugin)`
    `` | `public GrailsPlugin[]` | `getUserPlugins()`
    `` | `public boolean` | `hasGrailsPlugin(java.lang.String name)`
    `` | `public void` | `informObservers(java.lang.String pluginName, java.util.Map event)`
    `` | `public boolean` | `isInitialised()`
    `` | `public void` | `loadPlugins()`
    `` | `public void` | `refreshPlugin(java.lang.String name)`
    `` | `public void` | `registerMockPlugin(GrailsPlugin plugin)`
    `` | `public void` | `verify()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsPluginManager` | `checkInitialised, convert, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, doRuntimeConfigurationForDependencies, getAllPlugins, getConfigSlurper, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginForClass, getPluginForInstance, getPluginPath, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, informOfClassChange, informOfFileChange, informPluginsOfConfigChange, isAlreadyRegistered, isInitialised, isPluginDisabledForProfile, isShutdown, loadApplicationClass, onStartup, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, setPluginFilter, shutdown`

- - ### Field Detail

    - #### private boolean checkForChangesExpected

  - ### Constructor Detail

    - #### public MockGrailsPluginManager(GrailsApplication application)

    - #### public MockGrailsPluginManager()

  - ### Method Detail

    - #### public void checkForChanges()

    - #### public void expectCheckForChanges()

    - #### @java.lang.Override public GrailsPlugin getGrailsPlugin(java.lang.String name)

    - #### public GrailsPlugin getGrailsPlugin(java.lang.String name, BigDecimal version)

    - #### public java.util.Collection<?> getPluginObservers(GrailsPlugin plugin)

    - #### public GrailsPlugin[] getUserPlugins()

    - #### @java.lang.Override public boolean hasGrailsPlugin(java.lang.String name)

    - #### @java.lang.SuppressWarnings("rawtypes") public void informObservers(java.lang.String pluginName, java.util.Map event)

    - #### @java.lang.Override public boolean isInitialised()

    - #### public void loadPlugins()

    - #### public void refreshPlugin(java.lang.String name)

    - #### public void registerMockPlugin(GrailsPlugin plugin)

    - #### public void verify()